var loadingDiv = document.getElementById('loading');
var errorDiv = document.getElementById('error');
var resultDiv = document.getElementById('result');
const timeout = 10000;

function getTable() {
    // Send XHR to totalTable
    loadingDiv.style.display = "";
    errorDiv.style.display = "none";

    let xhr = new XMLHttpRequest();
    xhr.timeout = timeout;
    xhr.onreadystatechange = function() {
        if (xhr.readyState === XMLHttpRequest.DONE) {
            if (xhr.status === 200) {
                setData(xhr.responseText);
            } else {
                setError();
            }
        }
    };
    xhr.open('GET', TABLE_URL, true);
    xhr.send();
}

function setData(text) {
    loadingDiv.style.display = "none";
    errorDiv.style.display = "none";
    resultDiv.innerHTML = text;

    var emptyCourses = document.getElementsByClassName('no-courses');
    if (emptyCourses.length === 0) {
        showEmptyCourses();
    } else {
        hideEmptyCourses();
        document.getElementById('extend').addEventListener('click', function() {
            showEmptyCourses();
        });
    }
}

function showEmptyCourses() {
    var emptyCourses = document.getElementsByClassName('no-courses');
    for (var i = 0; i < emptyCourses.length; i++) {
        emptyCourses[i].style.display = "";
    }
    document.getElementById('extend').style.display = "none";
}

function hideEmptyCourses() {
    var emptyCourses = document.getElementsByClassName('no-courses');
    for (var i = 0; i < emptyCourses.length; i++) {
        emptyCourses[i].style.display = "none";
    }
    document.getElementById('extend').style.display = "";
}

function setError() {
    loadingDiv.style.display = "none";
    errorDiv.style.display = "";
}

document.getElementById('tryAgain').addEventListener('click', getTable);
getTable();
